Dry-run template submit validation
POST
/v1/templates/validate-submitAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonbody_textstringrequiredbuilder_jsonanybuilder_versioninteger<int32>buttonsTemplateButtonInput[] | nullShow propertiesHide properties
Array of
TemplateButtonInputexamplestringflow_actionstringflow_idstringnavigate_screenstringotp_typestringpackage_namestringphone_numberstringsignature_hashstringtextstringrequiredtypestringrequiredurlstringcategorystringrequiredchannel_idstringeditor_modestringfooter_textstringheader_formatstringrequiredheader_handlestringheader_textstringlanguagestringrequirednamestringrequiredvariablesTemplateVariableInput[] | nullShow propertiesHide properties
Array of
TemplateVariableInputcomponent_typestringrequireddisplay_namestringrequiredexample_valuestringrequiredpositioninteger<int32>requiredsource_keystringsource_typestringrequiredResponses
200OK
okbooleanrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/templates/validate-submit" \
-H "Content-Type: application/json" \
-d '{
"body_text": "string",
"builder_json": "string",
"builder_version": 0,
"buttons": [
{
"example": "string",
"flow_action": "string",
"flow_id": "string",
"navigate_screen": "string",
"otp_type": "string",
"package_name": "string",
"phone_number": "string",
"signature_hash": "string",
"text": "string",
"type": "string",
"url": "string"
}
],
"category": "string",
"channel_id": "string",
"editor_mode": "string",
"footer_text": "string",
"header_format": "string",
"header_handle": "string",
"header_text": "string",
"language": "string",
"name": "string",
"variables": [
{
"component_type": "string",
"display_name": "string",
"example_value": "string",
"position": 0,
"source_key": "string",
"source_type": "string"
}
]
}'const response = await fetch("/v1/templates/validate-submit", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"body_text": "string",
"builder_json": "string",
"builder_version": 0,
"buttons": [
{
"example": "string",
"flow_action": "string",
"flow_id": "string",
"navigate_screen": "string",
"otp_type": "string",
"package_name": "string",
"phone_number": "string",
"signature_hash": "string",
"text": "string",
"type": "string",
"url": "string"
}
],
"category": "string",
"channel_id": "string",
"editor_mode": "string",
"footer_text": "string",
"header_format": "string",
"header_handle": "string",
"header_text": "string",
"language": "string",
"name": "string",
"variables": [
{
"component_type": "string",
"display_name": "string",
"example_value": "string",
"position": 0,
"source_key": "string",
"source_type": "string"
}
]
})
});import requests
response = requests.post(
"/v1/templates/validate-submit",
headers={
"Content-Type": "application/json"
},
json={
"body_text": "string",
"builder_json": "string",
"builder_version": 0,
"buttons": [
{
"example": "string",
"flow_action": "string",
"flow_id": "string",
"navigate_screen": "string",
"otp_type": "string",
"package_name": "string",
"phone_number": "string",
"signature_hash": "string",
"text": "string",
"type": "string",
"url": "string"
}
],
"category": "string",
"channel_id": "string",
"editor_mode": "string",
"footer_text": "string",
"header_format": "string",
"header_handle": "string",
"header_text": "string",
"language": "string",
"name": "string",
"variables": [
{
"component_type": "string",
"display_name": "string",
"example_value": "string",
"position": 0,
"source_key": "string",
"source_type": "string"
}
]
},
)Response
{
"ok": true
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}